;;; leuven-dark-theme.el --- Awesome Emacs color theme on dark background

;; Copyright (C) 2003-2019 Free Software Foundation, Inc.

;; Author: Fabrice Niessen <(concat "fniessen" at-sign "pirilampo.org")>
;; URL: https://github.com/fniessen/emacs-leuven-theme
;; Version: 20190308.1633
;; Keywords: color theme

;; This file is part of GNU Emacs.

;; GNU Emacs is free software: you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; GNU Emacs is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.

;;; Commentary:

;; This elegant Org-enhancing color theme "leuven" ROCKS!
;; ... and not just for Org mode.
;;
;; To use it, put the following in your Emacs configuration file:
;;
;;   (load-theme 'leuven t)
;;
;; Requirements: Emacs 24+.
;;
;; NOTE -- Would you like implement a version of this for dark backgrounds,
;; please do so!  I'm willing to integrate it...

;;; Code:

;;; Options.

(defgroup leuven nil
  "Leuven theme options.
The theme has to be reloaded after changing anything in this group."
  :group 'faces)

(defcustom leuven-scale-outline-headlines t
  "Scale `outline' (and `org') level-1 headlines.
This can be nil for unscaled, t for using the theme default, or a scaling number."
  :type '(choice
          (const :tag "Unscaled" nil)
          (const :tag "Default provided by theme" t)
          (number :tag "Set scaling"))
  :group 'leuven)

(defcustom leuven-scale-org-agenda-structure t
  "Scale Org agenda structure lines, like dates.
This can be nil for unscaled, t for using the theme default, or a scaling number."
  :type '(choice
          (const :tag "Unscaled" nil)
          (const :tag "Default provided by theme" t)
          (number :tag "Set scaling"))
  :group 'leuven)

(defun leuven-scale-font (control default-height)
  "Function for splicing optional font heights into face descriptions.
CONTROL can be a number, nil, or t.  When t, use DEFAULT-HEIGHT."
  (cond
   ((numberp control) (list :height control))
   ((eq t control) (list :height default-height))
   (t nil)))

;;; Theme Faces.

(deftheme leuven
  "Face colors with a light background.
Basic, Font Lock, Isearch, Gnus, Message, Org mode, Diff, Ediff,
Flyspell, Semantic, and Ansi-Color faces are included -- and much
more...")

(let ((class '((class color) (min-colors 89)))

      ;; Leuven generic colors.
      (cancel '(:slant italic :strike-through t :foreground "#565863"))
      (clock-line '(:box (:line-width 1 :color "#cca264") :foreground "#ffffff" :background "#1138ff"))
      (code-block '(:foreground "#ffff84" :background "#2b2d54"))
      (code-inline '(:foreground "#ff9cff" :background "#2c2d3f"))
      (column '(:height 1.0 :weight normal :slant normal :underline nil :strike-through nil :foreground "#1954bb" :background "#2b3856"))
      (completion-inline '(:weight normal :foreground "#3f414d" :inherit hl-line)) ; Like Google.
      (completion-other-candidates '(:weight bold :foreground "#ffffff" :background "#3c3639"))
      (completion-selected-candidate '(:weight bold :foreground "#2b2d39" :background "#ffae68"))
      (diff-added '(:background "#492d57"))
      (diff-changed '(:foreground "#ffc30f" :background "#494b39"))
      (diff-header '(:weight bold :foreground "#7fffff" :background "#2b2d80"))
      (diff-hunk-header '(:foreground "#66ff73" :background "#2b3b39"))
      (diff-none '(:foreground "#777884"))
      (diff-refine-added '(:background "#680f77"))
      (diff-refine-removed '(:background "#014b53"))
      (diff-removed '(:background "#2b414c"))
      (directory '(:weight bold :foreground "#ffc30f" :background "#2b2d60"))
      (file '(:foreground "#ffffff"))
      (function-param '(:foreground "#db8e88"))
      (grep-file-name '(:weight bold :foreground "#d5b86e")) ; Used for grep hits.
      (grep-line-number '(:weight bold :foreground "#5acb5e"))
      (highlight-blue '(:background "#413d39"))
      (highlight-blue2 '(:background "#43393d"))
      (highlight-gray '(:background "#434551"))
      (highlight-green '(:background "#2a103e"))
      (highlight-red '(:background "#013945"))
      (highlight-yellow '(:background "#322d64"))
      (link '(:weight normal :underline t :foreground "#ff935d"))
      (link-no-underline '(:weight normal :foreground "#ff935d"))
      (mail-header-name '(:family "Sans Serif" :weight normal :foreground "#5c5e6a"))
      (mail-header-other '(:family "Sans Serif" :slant normal :foreground "#999aa5"))
      (mail-read '(:foreground "#737480"))
      (mail-read-high '(:foreground "#7f808c"))
      (mail-ticked '(:foreground "#01cdff"))
      (mail-to '(:family "Sans Serif" :underline nil :foreground "#ff935d"))
      (mail-unread '(:weight bold :foreground "#ffffff"))
      (mail-unread-high '(:weight bold :foreground "#eca787"))
      (marked-line '(:foreground "#55ffff" :background "#015762"))
      (match '(:weight bold :background "#0103ff")) ; occur patterns + match in helm for files + match in Org files.
      (ol1 `(,@(leuven-scale-font leuven-scale-outline-headlines 1.3) :weight bold :overline "#585a65" :foreground "#c3c4ce" :background "#383a46"))
      (ol2 '(:height 1.0 :weight bold :overline "#edcbb5" :foreground "#edcbb5" :background "#42363b"))
      (ol3 '(:height 1.0 :weight bold :foreground "#ffabe6" :background "#382d46"))
      (ol4 '(:height 1.0 :weight bold :slant normal :foreground "#159dff"))
      (ol5 '(:height 1.0 :weight bold :slant normal :foreground "#1cdb7f"))
      (ol6 '(:height 1.0 :weight bold :slant italic :foreground "#ff8941"))
      (ol7 '(:height 1.0 :weight bold :slant italic :foreground "#d153dd"))
      (ol8 '(:height 1.0 :weight bold :slant italic :foreground "#0280fc"))
      (paren-matched '(:background "#3f194a")) ; Or take that green for region?
      (paren-unmatched '(:weight bold :underline "#01ffff" :foreground "#ffffff" :background "#015c67"))
      (region '(:background "#712e0f"))
      (shadow '(:foreground "#80818d"))
      (string '(:foreground "#87a8eb")) ; or #2fc9dc
      (subject '(:family "Sans Serif" :weight bold :foreground "#ffffff"))
      (symlink '(:foreground "#e07337"))
      (tab '(:foreground "#3f414d" :background "#2b2d39"))
      (trailing '(:foreground "#3f414d" :background "#2b2d83"))
      (volatile-highlight '(:underline nil :foreground "#2b2d39" :background "#61ca73"))
      (volatile-highlight-supersize '(:height 1.1 :underline nil :foreground "#2b2d39" :background "#61ca73")) ; flash-region
      (vc-branch '(:box (:line-width 1 :color "#ff35d6") :foreground "#ffffff" :background "#550362"))
      (xml-attribute '(:foreground "#0c9dd4"))
      (xml-tag '(:foreground "#51e572"))
      (highlight-current-tag '(:background "#3f4139")) ; #393740 or #0116e2
  )

  (custom-theme-set-faces
   'leuven
   `(default ((,class (:foreground "#cccdd6" :background "#2b2d39"))))
   `(bold ((,class (:weight bold :foreground "#ffffff"))))
   `(bold-italic ((,class (:weight bold :slant italic :foreground "#ffffff"))))
   `(italic ((,class (:slant italic :foreground "#e5e6ed"))))
   `(underline ((,class (:underline t))))
   `(cursor ((,class (:background "#de440f"))))

   ;; Lucid toolkit emacs menus.
   `(menu ((,class (:foreground "#2b2d39" :background "#cccdd6"))))

   ;; Highlighting faces.
   `(fringe ((,class (:foreground "#b36334" :background "#2b2d39"))))
   `(highlight ((,class ,highlight-blue)))
   `(region ((,class ,region)))
   `(secondary-selection ((,class ,match))) ; Used by Org-mode for highlighting matched entries and keywords.
   `(isearch ((,class (:underline "#ffffff" :foreground "#2b2d39" :background "#a68c61"))))
   `(isearch-fail ((,class (:weight bold :foreground "#ffffff" :background "#013541"))))
   `(lazy-highlight ((,class (:foreground "#ffffff" :background "#0103ff")))) ; Isearch others (see `match').
   `(trailing-whitespace ((,class ,trailing)))
   `(query-replace ((,class (:inherit isearch))))
   `(whitespace-hspace ((,class (:foreground "#2d2f3b")))) ; see also `nobreak-space'
   `(whitespace-indentation ((,class ,tab)))
   `(whitespace-line ((,class (:foreground "#33ffff" :background "#010384"))))
   `(whitespace-tab ((,class ,tab)))
   `(whitespace-trailing ((,class ,trailing)))

   ;; Mode line faces.
   `(mode-line ((,class (:box (:line-width 1 :color "#e5d1b6") :foreground "#7a3322" :background "#cca264"))))
   `(mode-line-inactive ((,class (:box (:line-width 1 :color "#b1b2be") :foreground "#383a46" :background "#646575"))))
   `(mode-line-buffer-id ((,class (:weight bold :foreground "#2b2d39"))))
   `(mode-line-emphasis ((,class (:weight bold :foreground "#2b2d39"))))
   `(mode-line-highlight ((,class (:foreground "#0103ff"))))

   ;; Escape and prompt faces.
   `(minibuffer-prompt ((,class (:weight bold :foreground "#ffffff" :background "#012aff"))))
   `(minibuffer-noticeable-prompt ((,class (:weight bold :foreground "#ffffff" :background "#012aff"))))
   `(escape-glyph ((,class (:foreground "#ff723c"))))
   `(error ((,class (:foreground "#01ffff"))))
   `(warning ((,class (:weight bold :foreground "#015cff"))))
   `(success ((,class (:foreground "#872beb"))))

   ;; Font lock faces.
   `(font-lock-builtin-face ((,class (:foreground "#ff912d"))))
   `(font-lock-comment-delimiter-face ((,class (:foreground "#727388")))) ; #9697a2
   `(font-lock-comment-face ((,class (:slant italic :foreground "#727388")))) ; #9697a2
   `(font-lock-constant-face ((,class (:foreground "#2fc9dc"))))
   `(font-lock-doc-face ((,class (:foreground "#84bee9"))))
   ;; `(font-lock-doc-string-face ((,class (:foreground "#87a8eb")))) ; XEmacs only, but is used for HTML exports from org2html (and not interactively)
   `(font-lock-function-name-face ((,class (:weight normal :foreground "#ff9a73"))))
   `(font-lock-keyword-face ((,class (:bold nil :foreground "#ffc30f")))) ; #c9ac31
   `(font-lock-preprocessor-face ((,class (:foreground "#7f808c"))))
   `(font-lock-regexp-grouping-backslash ((,class (:weight bold :inherit nil))))
   `(font-lock-regexp-grouping-construct ((,class (:weight bold :inherit nil))))
   `(font-lock-string-face ((,class ,string)))
   `(font-lock-type-face ((,class (:weight normal :foreground "#9bcc69"))))
   `(font-lock-variable-name-face ((,class (:weight normal :foreground "#45ca67")))) ; #7fff8c
   `(font-lock-warning-face ((,class (:weight bold :foreground "#01ffff"))))

   ;; Button and link faces.
   `(link ((,class ,link)))
   `(link-visited ((,class (:underline t :foreground "#1a889e"))))
   `(button ((,class (:underline t :foreground "#ff935d"))))
   `(header-line ((,class (:box (:line-width 1 :color "#ffffff") :foreground "#ffffff" :background "#383a46"))))

   ;; Gnus faces.
   `(gnus-button ((,class (:weight normal))))
   `(gnus-cite-attribution-face ((,class (:foreground "#afb05c"))))
   `(gnus-cite-1 ((,class (:foreground "#afb05c" :background "#323440"))))
   `(gnus-cite-2 ((,class (:foreground "#99ffa5" :background "#323440"))))
   `(gnus-cite-3 ((,class (:foreground "#ff8994" :background "#323440"))))
   `(gnus-cite-4 ((,class (:foreground "#66ffff" :background "#323440"))))
   `(gnus-cite-5 ((,class (:foreground "#ffff73" :background "#323440"))))
   `(gnus-cite-6 ((,class (:foreground "#449aff" :background "#323440"))))
   `(gnus-cite-7 ((,class (:foreground "#afb05c" :background "#323440"))))
   `(gnus-cite-8 ((,class (:foreground "#99ffa5" :background "#323440"))))
   `(gnus-cite-9 ((,class (:foreground "#ff8994" :background "#323440"))))
   `(gnus-cite-10 ((,class (:foreground "#66ffff" :background "#323440"))))
   `(gnus-emphasis-bold ((,class (:weight bold))))
   `(gnus-emphasis-highlight-words ((,class (:foreground "#0103ff" :background "#ffffff"))))
   `(gnus-group-mail-1 ((,class (:weight bold :foreground "#01b05c"))))
   `(gnus-group-mail-1-empty ((,class (:foreground "#afb05c"))))
   `(gnus-group-mail-2 ((,class (:weight bold :foreground "#01ffa5"))))
   `(gnus-group-mail-2-empty ((,class (:foreground "#99ffa5"))))
   `(gnus-group-mail-3 ((,class ,mail-unread)))
   `(gnus-group-mail-3-empty ((,class ,mail-read)))
   `(gnus-group-mail-low ((,class ,cancel)))
   `(gnus-group-mail-low-empty ((,class ,cancel)))
   `(gnus-group-news-1 ((,class (:weight bold :foreground "#01b05c"))))
   `(gnus-group-news-1-empty ((,class (:foreground "#afb05c"))))
   `(gnus-group-news-2 ((,class (:weight bold :foreground "#01ffa5"))))
   `(gnus-group-news-2-empty ((,class (:foreground "#99ffa5"))))
   `(gnus-group-news-3 ((,class ,mail-unread)))
   `(gnus-group-news-3-empty ((,class ,mail-read)))
   `(gnus-group-news-4 ((,class (:weight bold :foreground "#01ffff"))))
   `(gnus-group-news-4-empty ((,class (:foreground "#66ffff"))))
   `(gnus-group-news-5 ((,class (:weight bold :foreground "#01ff73"))))
   `(gnus-group-news-5-empty ((,class (:foreground "#ffff73"))))
   `(gnus-group-news-6 ((,class (:weight bold :foreground "#80818d"))))
   `(gnus-group-news-6-empty ((,class (:foreground "#7f808c"))))
   `(gnus-header-content ((,class ,mail-header-other)))
   `(gnus-header-from ((,class (:family "Sans Serif" :foreground "#ffffff"))))
   `(gnus-header-name ((,class ,mail-header-name)))
   `(gnus-header-newsgroups ((,class (:family "Sans Serif" :foreground "#cc6841"))))
   `(gnus-header-subject ((,class ,subject)))
   `(gnus-picon ((,class (:foreground "#0103ff" :background "#2b2d39"))))
   `(gnus-picon-xbm ((,class (:foreground "#0103ff" :background "#2b2d39"))))
   `(gnus-server-closed ((,class (:slant italic :foreground "#ffc30f" :background "#2b2d39"))))
   `(gnus-server-denied ((,class (:weight bold :foreground "#01ffff" :background "#2b2d39"))))
   `(gnus-server-opened ((,class (:family "Sans Serif" :foreground "#2b2d39" :foreground "#b99536"))))
   `(gnus-signature ((,class (:slant italic :foreground "#74737e"))))
   `(gnus-splash ((,class (:foreground "#0174ff"))))
   `(gnus-summary-cancelled ((,class ,cancel)))
   `(gnus-summary-high-ancient ((,class ,mail-unread-high)))
   `(gnus-summary-high-read ((,class ,mail-read-high)))
   `(gnus-summary-high-ticked ((,class ,mail-ticked)))
   `(gnus-summary-high-unread ((,class ,mail-unread-high)))
   `(gnus-summary-low-ancient ((,class (:slant italic :foreground "#ffffff"))))
   `(gnus-summary-low-read ((,class (:slant italic :foreground "#666873" :background "#464854"))))
   `(gnus-summary-low-ticked ((,class ,mail-ticked)))
   `(gnus-summary-low-unread ((,class (:slant italic :foreground "#ffffff"))))
   `(gnus-summary-normal-ancient ((,class (:slant italic :foreground "#ff8e47"))))
   `(gnus-summary-normal-read ((,class ,mail-read)))
   `(gnus-summary-normal-ticked ((,class ,mail-ticked)))
   `(gnus-summary-normal-unread ((,class ,mail-unread)))
   `(gnus-summary-selected ((,class (:foreground "#2b2d39" :background "#ff7436"))))
   `(gnus-x-face ((,class (:foreground "#ffffff" :background "#2b2d39"))))

   ;; Message faces.
   `(message-header-name ((,class ,mail-header-name)))
   `(message-header-cc ((,class ,mail-to)))
   `(message-header-other ((,class ,mail-header-other)))
   `(message-header-subject ((,class ,subject)))
   `(message-header-to ((,class ,mail-to)))
   `(message-cited-text ((,class (:foreground "#afb05c" :background "#323440"))))
   `(message-separator ((,class (:family "Sans Serif" :weight normal :foreground "#423f47"))))
   `(message-header-newsgroups ((,class (:family "Sans Serif" :foreground "#cc6841"))))
   `(message-header-xheader ((,class ,mail-header-other)))
   `(message-mml ((,class (:foreground "#659dd2"))))

   ;; Diff.
   `(diff-added ((,class ,diff-added)))
   `(diff-changed ((,class ,diff-changed)))
   `(diff-context ((,class ,diff-none)))
   `(diff-file-header ((,class ,diff-header)))
   `(diff-file1-hunk-header ((,class (:foreground "#74ff81" :background "#3d3841"))))
   `(diff-file2-hunk-header ((,class (:foreground "#d482df" :background "#3d3841"))))
   `(diff-function ((,class (:foreground "#336841"))))
   `(diff-header ((,class ,diff-header)))
   `(diff-hunk-header ((,class ,diff-hunk-header)))
   `(diff-index ((,class ,diff-header)))
   `(diff-indicator-added ((,class (:foreground "#c568cf" :background "#572d5a"))))
   `(diff-indicator-changed ((,class (:background "#4b3c39"))))
   `(diff-indicator-removed ((,class (:foreground "#33cdd6" :background "#2b4c54"))))
   `(diff-refine-added ((,class ,diff-refine-added)))
   `(diff-refine-change ((,class (:background "#494b39"))))
   `(diff-refine-removed ((,class ,diff-refine-removed)))
   `(diff-removed ((,class ,diff-removed)))

   ;; SMerge.
   `(smerge-mine ((,class ,diff-changed)))
   `(smerge-other ((,class ,diff-added)))
   `(smerge-base ((,class ,diff-removed)))
   `(smerge-markers ((,class (:background "#2b4465"))))
   `(smerge-refined-change ((,class (:background "#55570f"))))

   ;; Ediff.
   `(ediff-current-diff-A ((,class (:background "#2b4b57"))))
   `(ediff-current-diff-B ((,class (:background "#492d57"))))
   `(ediff-current-diff-C ((,class (:background "#ff030f"))))
   `(ediff-even-diff-A ((,class (:background "#2c2e3a"))))
   `(ediff-even-diff-B ((,class (:background "#2c2e3a"))))
   `(ediff-fine-diff-A ((,class (:background "#015762"))))
   `(ediff-fine-diff-B ((,class (:background "#aa03b5"))))
   `(ediff-odd-diff-A ((,class (:background "#2c2e3a"))))
   `(ediff-odd-diff-B ((,class (:background "#2c2e3a"))))

   ;; Flyspell.
   (if (version< emacs-version "24.4")
       `(flyspell-duplicate ((,class (:underline "#0b168c" :inherit nil))))
     `(flyspell-duplicate ((,class (:underline (:style wave :color "#0b168c") :background "#2e3365" :inherit nil)))))
   (if (version< emacs-version "24.4")
       `(flyspell-incorrect ((,class (:underline "#055a67" :inherit nil))))
     `(flyspell-incorrect ((,class (:underline (:style wave :color "#055a67") :background "#34505a":inherit nil)))))

   ;; ;; Semantic faces.
   ;; `(semantic-decoration-on-includes ((,class (:underline ,cham-4))))
   ;; `(semantic-decoration-on-private-members-face ((,class (:background ,alum-2))))
   ;; `(semantic-decoration-on-protected-members-face ((,class (:background ,alum-2))))
   `(semantic-decoration-on-unknown-includes ((,class (:background "#2b323e"))))
   ;; `(semantic-decoration-on-unparsed-includes ((,class (:underline ,orange-3))))
   `(semantic-highlight-func-current-tag-face ((,class ,highlight-current-tag)))
   `(semantic-tag-boundary-face ((,class (:overline "#888994")))) ; Method separator.
   ;; `(semantic-unmatched-syntax-face ((,class (:underline ,red-1))))

   `(Info-title-1-face ((,class ,ol1)))
   `(Info-title-2-face ((,class ,ol2)))
   `(Info-title-3-face ((,class ,ol3)))
   `(Info-title-4-face ((,class ,ol4)))
   `(ace-jump-face-foreground ((,class (:weight bold :foreground "#ffffff" :background "#015cff"))))
   `(ahs-face ((,class (:background "#434539"))))
   `(ahs-definition-face ((,class (:background "#014b47"))))
   `(ahs-plugin-defalt-face ((,class (:background "#2b4539")))) ; Current.
   `(anzu-match-1 ((,class (:foreground "#ffffff" :background "#800339"))))
   `(anzu-match-2 ((,class (:foreground "#ffffff" :background "springgreen"))))
   `(anzu-match-3 ((,class (:foreground "#ffffff" :background "#01ffff"))))
   `(anzu-mode-line ((,class (:foreground "#ffffff" :background "#7f038c"))))
   `(anzu-mode-line-no-match ((,class (:foreground "#ffffff" :background "#01808c"))))
   `(anzu-replace-highlight ((,class (:inherit query-replace))))
   `(anzu-replace-to ((,class (:weight bold :foreground "#42cd10" :background "#0244d6"))))
   `(auto-dim-other-buffers-face ((,class (:background "#31333f"))))
   `(avy-background-face ((,class (:background "#565863"))))
   `(avy-lead-face ((,class (:weight bold :foreground "#ffffff" :background "#015cff"))))
   `(bbdb-company ((,class (:slant italic :foreground "#b97e59"))))
   `(bbdb-field-name ((,class (:weight bold :foreground "#b97e59"))))
   `(bbdb-field-value ((,class (:foreground "#b97e59"))))
   `(bbdb-name ((,class (:underline t :foreground "#019ad6"))))
   `(bmkp-light-fringe-autonamed ((,class (:foreground "#a5a6b1" :background "#2b2d39"))))
   `(bmkp-light-autonamed ((,class (:background "#383a46"))))
   `(bmkp-light-fringe-non-autonamed ((,class (:foreground "#2b2d65" :background "#fe0312")))) ; default
   `(bmkp-light-non-autonamed ((,class (:background "#642d39"))))
   `(browse-kill-ring-separator-face ((,class (:foreground "#01ffff"))))
   `(calendar-month-header ((,class (:weight bold :foreground "#b0b6cd" :background "#2b2d65"))))
   `(calendar-today ((,class (:weight bold :foreground "#b0b6cd" :background "#2b2d65"))))
   `(calendar-weekday-header ((,class (:weight bold :foreground "#e99e5d"))))
   `(calendar-weekend-header ((,class (:weight bold :foreground "#b1b2bc"))))
   `(cfw:face-annotation ((,class (:foreground "#872beb" :background "#01ffff"))))
   `(cfw:face-day-title ((,class (:foreground "#363844"))))
   `(cfw:face-default-content ((,class (:foreground "#d6ae69"))))
   `(cfw:face-default-day ((,class (:weight bold))))
   `(cfw:face-disable ((,class (:foreground "#565863"))))
   `(cfw:face-grid ((,class (:foreground "#222430"))))
   `(cfw:face-header ((,class (:foreground "#e99e5d" :background "#2b2d39" :weight bold))))
   `(cfw:face-holiday ((,class (:foreground "#888994" :background "#433e39"))))
   `(cfw:face-periods ((,class (:foreground "#2b2d39" :background "#997434" :slant italic))))
   `(cfw:face-saturday ((,class (:foreground "#b1b2bc" :background "#2b2d39" :weight bold))))
   `(cfw:face-select ((,class (:foreground "#b56c22" :background "#3a393c"))))
   `(cfw:face-sunday ((,class (:foreground "#b1b2bc" :background "#2b2d39" :weight bold))))
   `(cfw:face-title ((,class (:height 2.0 :foreground "#9899a4" :weight bold :inherit variable-pitch))))
   `(cfw:face-today ((,class (:foreground "#b0b6cd" :background "#2b2d65"))))
   `(cfw:face-today-title ((,class (:foreground "#2b2d39" :background "#e89a5b"))))
   `(cfw:face-toolbar ((,class (:background "#2b2d39"))))
   `(cfw:face-toolbar-button-off ((,class (:foreground "#30323e" :background "#2b2d39"))))
   `(cfw:face-toolbar-button-on ((,class (:foreground "#a1a2ad" :background "#323440"))))
   `(change-log-date ((,class (:foreground "#5fe01d"))))
   `(change-log-file ((,class (:weight bold :foreground "#be7d49"))))
   `(change-log-list ((,class (:foreground "#ffffff" :background "#8a1346"))))
   `(change-log-name ((,class (:foreground "#87a8eb"))))
   `(circe-highlight-all-nicks-face ((,class (:foreground "#ffc30f" :background "#383a46")))) ; other nick names
   `(circe-highlight-nick-face ((,class (:foreground "#8795eb" :background "#383a46")))) ; messages with my nick cited
   `(circe-my-message-face ((,class (:foreground "#747581" :background "#383a46"))))
   `(circe-originator-face ((,class (:foreground "#ffc30f"))))
   `(circe-prompt-face ((,class (:foreground "#01ffff"))))
   `(circe-server-face ((,class (:foreground "#663728"))))
   `(comint-highlight-input ((,class (:weight bold :foreground "#ffc30f" :inherit nil))))
   ;; `(comint-highlight-prompt ((,class (:weight bold :foreground "#ffffff" :background "#012aff"))))
   `(comint-highlight-prompt ((,class (:weight bold :foreground "#ffc30f" :inherit nil))))

   ;; `(ac-selection-face ((,class ,completion-selected-candidate)))
   `(ac-selection-face ((,class (:weight bold :foreground "#2b2d39" :background "#015cff")))) ; TEMP For diff'ing AC from Comp.
   `(ac-candidate-face ((,class ,completion-other-candidates)))
   `(ac-completion-face ((,class ,completion-inline)))
   `(ac-candidate-mouse-face ((,class (:inherit highlight))))
   `(popup-scroll-bar-background-face ((,class (:background "#3c3639"))))
   `(popup-scroll-bar-foreground-face ((,class (:background "#2e2729")))) ; Scrollbar (visible).

   `(company-tooltip-common-selection ((,class (:weight normal :foreground "#2f3d65" :inherit company-tooltip-selection)))) ; Prefix + common part in tooltip (for selection).
   `(company-tooltip-selection ((,class ,completion-selected-candidate))) ; Suffix in tooltip (for selection).
   `(company-tooltip-annotation-selection ((,class (:weight normal :foreground "#2f3d65")))) ; Annotation (for selection).

   `(company-tooltip-common ((,class (:weight normal :foreground "#4fff5c" :inherit company-tooltip)))) ; Prefix + common part in tooltip.
   `(company-tooltip ((,class ,completion-other-candidates))) ; Suffix in tooltip.
   `(company-tooltip-annotation ((,class (:weight normal :foreground "#dbaf0f")))) ; Annotation.

   `(company-preview-common ((,class ,completion-inline)))

   `(company-scrollbar-bg ((,class (:background "#3c3639"))))
   `(company-scrollbar-fg ((,class (:background "#2e2729")))) ; Scrollbar (visible).

   `(compare-windows ((,class (:background "#0103ff"))))
   ;; `(completions-common-part ((,class (:foreground "#01ffff" :weight bold))))
   ;; `(completions-first-difference ((,class (:foreground "#872beb" :weight bold))))
   `(compilation-error ((,class (:weight bold :foreground "#01ffff")))) ; Used for grep error messages.
   `(compilation-info ((,class ,grep-file-name)))
   `(compilation-line-number ((,class ,grep-line-number)))
   `(compilation-warning ((,class (:weight bold :foreground "#015cff"))))
   `(compilation-mode-line-exit ((,class (:weight bold :foreground "#872beb")))) ; :exit[matched]
   `(compilation-mode-line-fail ((,class (:weight bold :foreground "#117e1f")))) ; :exit[no match]
   `(compilation-mode-line-run ((,class (:weight bold :foreground "#015cff")))) ; :run
   `(css-property ((,class (:foreground "#877feb"))))
   `(css-selector ((,class (:weight bold :foreground "#ffc30f"))))
   `(custom-button ((,class (:box (:line-width 2 :style released-button) :foreground "#ffffff" :background "lightgrey"))))
   `(custom-button-mouse ((,class (:box (:line-width 2 :style released-button) :foreground "#ffffff" :background "#424450"))))
   `(custom-button-pressed ((,class (:box (:line-width 2 :style pressed-button) :foreground "#ffffff" :background "#2c2e3a"))))
   `(custom-button-pressed-unraised ((,class (:underline t :foreground "#74ff81"))))
   `(custom-button-unraised ((,class (:underline t))))
   `(custom-changed ((,class (:foreground "#2b2d39" :background "#ffc30f"))))
   `(custom-comment ((,class (:background "#262834"))))
   `(custom-comment-tag ((,class (:foreground "#ffff81"))))
   `(custom-documentation ((,class (nil))))
   `(custom-face-tag ((,class (:family "Sans Serif" :height 1.2 :weight bold))))
   `(custom-group-tag ((,class (:height 1.2 :weight bold :foreground "#ffc30f"))))
   `(custom-group-tag-1 ((,class (:family "Sans Serif" :height 1.2 :weight bold :foreground "#01ffff"))))
   `(custom-invalid ((,class (:foreground "#0103ff" :background "#01ffff"))))
   `(custom-link ((,class (:underline t :foreground "#ffc30f"))))
   `(custom-modified ((,class (:foreground "#2b2d39" :background "#ffc30f"))))
   `(custom-rogue ((,class (:foreground "#014142" :background "#ffffff"))))
   `(custom-saved ((,class (:underline t))))
   `(custom-set ((,class (:foreground "#ffc30f" :background "#2b2d39"))))
   `(custom-state ((,class (:foreground "#879deb"))))
   `(custom-themed ((,class (:foreground "#2b2d39" :background "#ffc30f"))))
   `(custom-variable-button ((,class (:weight bold :underline t))))
   `(custom-variable-tag ((,class (:family "Sans Serif" :height 1.2 :weight bold :foreground "#ffc30f"))))
   `(custom-visibility ((,class ,link)))
   `(diff-hl-change ((,class (:foreground "#ffff40" :background "#4b3c39"))))
   `(diff-hl-delete ((,class (:foreground "#32ffff" :background "#2b4c54"))))
   `(diff-hl-dired-change ((,class (:weight bold :foreground "#ffffff" :background "#015ed4"))))
   `(diff-hl-dired-delete ((,class (:weight bold :foreground "#28c7f2"))))
   `(diff-hl-dired-ignored ((,class (:weight bold :foreground "#2b2d39" :background "#3f4661"))))
   `(diff-hl-dired-insert ((,class (:weight bold :foreground "#464853"))))
   `(diff-hl-dired-unknown ((,class (:foreground "#2b2d39" :background "#c0c559"))))
   `(diff-hl-insert ((,class (:foreground "#879deb" :background "#572d5a"))))
   `(diff-hl-unknown ((,class (:foreground "#2b2d39" :background "#c0c559"))))
   `(diary-face ((,class (:foreground "#783811"))))
   `(dircolors-face-asm ((,class (:foreground "#ffffff"))))
   `(dircolors-face-backup ((,class (:foreground "#ffffff"))))
   `(dircolors-face-compress ((,class (:foreground "#01ffff"))))
   `(dircolors-face-dir ((,class ,directory)))
   `(dircolors-face-doc ((,class (:foreground "#ffffff"))))
   `(dircolors-face-dos ((,class (:foreground "#659dd2"))))
   `(dircolors-face-emacs ((,class (:foreground "#ffffff"))))
   `(dircolors-face-exec ((,class (:foreground "#659dd2"))))
   `(dircolors-face-html ((,class (:foreground "#ffffff"))))
   `(dircolors-face-img ((,class (:foreground "#32ff40"))))
   `(dircolors-face-lang ((,class (:foreground "#ffffff"))))
   `(dircolors-face-lang-interface ((,class (:foreground "#ffffff"))))
   `(dircolors-face-make ((,class (:foreground "#ffffff"))))
   `(dircolors-face-objet ((,class (:foreground "#ffffff"))))
   `(dircolors-face-package ((,class (:foreground "#ffffff"))))
   `(dircolors-face-paddb ((,class (:foreground "#ffffff"))))
   `(dircolors-face-ps ((,class (:foreground "#ffffff"))))
   `(dircolors-face-sound ((,class (:foreground "#ff420f"))))
   `(dircolors-face-tar ((,class (:foreground "#01ffff"))))
   `(dircolors-face-text ((,class (:foreground "#ffffff"))))
   `(dircolors-face-yacc ((,class (:foreground "#ffffff"))))
   `(dired-directory ((,class ,directory)))
   `(dired-header ((,class ,directory)))
   `(dired-ignored ((,class (:strike-through t :foreground "#01ffff"))))
   `(dired-mark ((,class ,marked-line)))
   `(dired-marked ((,class ,marked-line)))
   `(dired-symlink ((,class ,symlink)))
   `(diredp-compressed-file-suffix ((,class (:foreground "#01ffff"))))
   `(diredp-date-time ((,class (:foreground "#5fe01d"))))
   `(diredp-dir-heading ((,class ,directory)))
   `(diredp-dir-name ((,class ,directory)))
   `(diredp-dir-priv ((,class ,directory)))
   `(diredp-exec-priv ((,class (:background "#fc41ce"))))
   `(diredp-executable-tag ((,class (:foreground "#659dd2" :background "#2b2d39"))))
   `(diredp-file-name ((,class ,file)))
   `(diredp-file-suffix ((,class (:foreground "#3f414d"))))
   `(diredp-flag-mark-line ((,class ,marked-line)))
   `(diredp-ignored-file-name ((,class ,shadow)))
   `(diredp-read-priv ((,class (:background "#f5680f"))))
   `(diredp-write-priv ((,class (:foreground "#2b2d39" :background "#01c0ca"))))
   `(eldoc-highlight-function-argument ((,class (:weight bold :foreground "#01ffff" :background "#2b4539"))))
   `(elfeed-search-filter-face ((,class (:foreground "#41434f"))))
   ;; `(eww-form-checkbox ((,class ())))
   ;; `(eww-form-select ((,class ())))
   ;; `(eww-form-submit ((,class ())))
   `(eww-form-text ((,class (:weight bold :foreground "#bfa89c" :background "#58341c"))))
   ;; `(eww-form-textarea ((,class ())))
   `(file-name-shadow ((,class ,shadow)))
   `(flycheck-error ((,class (:underline (:color "#01dbea" :style wave) :weight bold :background "#2b4753"))))
   `(flycheck-error-list-line-number ((,class (:foreground "#5acb5e"))))
   `(flycheck-fringe-error ((,class (:foreground "#01dbea"))))
   `(flycheck-fringe-info ((,class (:foreground "#729ede"))))
   `(flycheck-fringe-warning ((,class (:foreground "#0b58d0"))))
   `(flycheck-info ((,class (:underline (:color "#729ede" :style wave) :weight bold))))
   `(flycheck-warning ((,class (:underline (:color "#0b58d0" :style wave) :weight bold :background "#2b2d72"))))
   `(font-latex-bold-face ((,class (:weight bold :foreground "#ffffff"))))
   `(fancy-narrow-blocked-face ((,class (:foreground "#666968"))))
   `(flycheck-color-mode-line-error-face ((, class (:background "#30a5b5"))))
   `(flycheck-color-mode-line-warning-face ((, class (:background "#143aff"))))
   `(flycheck-color-mode-line-info-face ((, class (:background "#0103ff"))))
   `(font-latex-italic-face ((,class (:slant italic :foreground "#e5e6ed"))))
   `(font-latex-math-face ((,class (:foreground "#ffc30f"))))
   `(font-latex-sectioning-1-face ((,class (:family "Sans Serif" :height 2.7 :weight bold :foreground "#9b6c20"))))
   `(font-latex-sectioning-2-face ((,class ,ol1)))
   `(font-latex-sectioning-3-face ((,class ,ol2)))
   `(font-latex-sectioning-4-face ((,class ,ol3)))
   `(font-latex-sectioning-5-face ((,class ,ol4)))
   `(font-latex-sedate-face ((,class (:foreground "#01abff"))))
   `(font-latex-string-face ((,class (:weight bold :foreground "#ff9a0f"))))
   `(font-latex-verbatim-face ((,class (:foreground "#ffff84" :background "#2b2d54" :inherit nil))))
   `(git-commit-summary-face ((,class (:foreground "#ffffff"))))
   `(git-commit-comment-face ((,class (:slant italic :foreground "#9697a2"))))
   `(git-timemachine-commit ((,class ,diff-removed)))
   `(git-timemachine-minibuffer-author-face ((,class ,diff-added)))
   `(git-timemachine-minibuffer-detail-face ((,class ,diff-header)))
   `(google-translate-text-face ((,class (:foreground "#888994" :background "#333541"))))
   `(google-translate-phonetic-face ((,class (:inherit shadow))))
   `(google-translate-translation-face ((,class (:weight normal :foreground "#cf8720" :background "#433f44"))))
   `(google-translate-suggestion-label-face ((,class (:foreground "#01ffff"))))
   `(google-translate-suggestion-face ((,class (:slant italic :underline t))))
   `(google-translate-listen-button-face ((,class (:height 0.8))))
   `(helm-action ((,class (:foreground "#ffffff"))))
   `(helm-bookmark-file ((,class ,file)))
   `(helm-bookmarks-su-face ((,class (:foreground "#01ffff"))))
   `(helm-buffer-directory ((,class ,directory)))
   `(helm-buffer-modified ((,class (:slant italic :foreground "#45ca67"))))
   `(helm-buffer-process ((,class (:foreground "#87a6eb"))))
   `(helm-candidate-number ((,class (:foreground "#ffffff" :background "#0103a5"))))
   `(helm-dir-heading ((,class (:foreground "#ffc30f" :background "#014142"))))
   `(helm-dir-priv ((,class (:foreground "#74ffff" :background "#2c2e3a"))))
   `(helm-ff-directory ((,class ,directory)))
   `(helm-ff-dotted-directory ((,class ,directory)))
   `(helm-ff-executable ((,class (:foreground "#875ceb" :background "#2b2d39"))))
   `(helm-ff-file ((,class (:foreground "#ffffff"))))
   `(helm-ff-invalid-symlink ((,class (:foreground "#0103ff" :background "#01ffff"))))
   `(helm-ff-symlink ((,class ,symlink)))
   `(helm-file-name ((,class (:foreground "#ffc30f"))))
   `(helm-gentoo-match-face ((,class (:foreground "#01ffff"))))
   `(helm-grep-file ((,class ,grep-file-name)))
   `(helm-grep-lineno ((,class ,grep-line-number)))
   `(helm-grep-match ((,class ,match)))
   `(helm-grep-running ((,class (:weight bold :foreground "#2b2d39"))))
   `(helm-isearch-match ((,class (:background "#330341"))))
   `(helm-lisp-show-completion ((,class ,volatile-highlight-supersize))) ; See `helm-dabbrev'.
   ;; `(helm-ls-git-added-copied-face ((,class (:foreground ""))))
   ;; `(helm-ls-git-added-modified-face ((,class (:foreground ""))))
   ;; `(helm-ls-git-conflict-face ((,class (:foreground ""))))
   ;; `(helm-ls-git-deleted-and-staged-face ((,class (:foreground ""))))
   ;; `(helm-ls-git-deleted-not-staged-face ((,class (:foreground ""))))
   ;; `(helm-ls-git-modified-and-staged-face ((,class (:foreground ""))))
   `(helm-ls-git-modified-not-staged-face ((,class (:foreground "#45ca67"))))
   ;; `(helm-ls-git-renamed-modified-face ((,class (:foreground ""))))
   ;; `(helm-ls-git-untracked-face ((,class (:foreground ""))))
   `(helm-match ((,class ,match)))
   `(helm-moccur-buffer ((,class (:foreground "#ff9a41"))))
   `(helm-selection ((,class (:background "#c78b37" :foreground "#2b2d39"))))
   `(helm-selection-line ((,class ,highlight-gray))) ; ???
   `(helm-separator ((,class (:foreground "#01ffff"))))
   `(helm-source-header ((,class (:weight bold :box (:line-width 1 :color "#383a46") :background "#484a56" :foreground "#ffffff"))))
   `(helm-swoop-target-line-block-face ((,class (:background "#3335ff" :foreground "#dddee6"))))
   `(helm-swoop-target-line-face ((,class (:background "#33350f"))))
   `(helm-swoop-target-word-face ((,class (:weight bold :foreground nil :background "#0244d6"))))
   `(helm-visible-mark ((,class ,marked-line)))
   `(helm-w3m-bookmarks-face ((,class (:underline t :foreground "#ff030f"))))
   `(highlight-changes ((,class (:foreground nil)))) ;; blue "#d1f758"
   `(highlight-changes-delete ((,class (:strike-through nil :foreground nil)))) ;; red "#4af7db"
   `(highlight-symbol-face ((,class (:background "#2b2d8d"))))
   `(hl-line ((,class ,highlight-yellow))) ; Highlight current line.
   `(hl-tags-face ((,class ,highlight-current-tag))) ; ~ Pair highlighting (matching tags).
   `(holiday-face ((,class (:foreground "#888994" :background "#433e39"))))
   `(html-helper-bold-face ((,class (:weight bold :foreground "#ffffff"))))
   `(html-helper-italic-face ((,class (:slant italic :foreground "#ffffff"))))
   `(html-helper-underline-face ((,class (:underline t :foreground "#ffffff"))))
   `(html-tag-face ((,class (:foreground "#ffc30f"))))
   `(ilog-non-change-face ((,class (:height 2.0 :foreground "#9bcc69"))))
   `(ilog-change-face ((,class (:height 2.0 :foreground "#87a6eb"))))
   `(ilog-echo-face ((,class (:height 2.0 :foreground "#ff912d"))))
   `(ilog-load-face ((,class (:foreground "#45ca67"))))
   `(ilog-message-face ((,class (:foreground "#7f808c"))))
   `(indent-guide-face ((,class (:foreground "#2c2e3a"))))
   `(info-file ((,class (:family "Sans Serif" :height 1.8 :weight bold :box (:line-width 1 :color "#ffff41") :foreground "#9b6c20" :background "#5a4739"))))
   `(info-header-node ((,class (:underline t :foreground "#015cff")))) ; nodes in header
   `(info-header-xref ((,class (:underline t :foreground "#e1700f")))) ; cross references in header
   `(info-index-match ((,class (:weight bold :foreground nil :background "#0244d6")))) ; when using `i'
   `(info-menu-header ((,class ,ol2))) ; menu titles (headers) -- major topics
   `(info-menu-star ((,class (:foreground "#ffffff")))) ; every 3rd menu item
   `(info-node ((,class (:underline t :foreground "#ffc30f")))) ; node names
   `(info-quoted-name ((,class ,code-inline)))
   `(info-string ((,class ,string)))
   `(info-title-1 ((,class ,ol1)))
   `(info-xref ((,class (:underline t :foreground "#ff935d")))) ; unvisited cross-references
   `(info-xref-visited ((,class (:underline t :foreground "#74ff81")))) ; previously visited cross-references
   ;; js2-highlight-vars-face (~ auto-highlight-symbol)
   `(js2-error ((,class (:box (:line-width 1 :color "#01c9d2") :background "#013945")))) ; DONE.
   `(js2-external-variable ((,class (:foreground "#01ffff" :background "#2b323e")))) ; DONE.
   `(js2-function-param ((,class ,function-param)))
   `(js2-instance-member ((,class (:foreground "#66ce41"))))
   `(js2-jsdoc-html-tag-delimiter ((,class (:foreground "#2fc9dc"))))
   `(js2-jsdoc-html-tag-name ((,class (:foreground "#2fc9dc"))))
   `(js2-jsdoc-tag ((,class (:weight normal :foreground "#9bcc69"))))
   `(js2-jsdoc-type ((,class (:foreground "#b97e59"))))
   `(js2-jsdoc-value ((,class (:weight normal :foreground "#45ca67")))) ; #7fff8c
   `(js2-magic-paren ((,class (:underline t))))
   `(js2-private-function-call ((,class (:foreground "#255ce8"))))
   `(js2-private-member ((,class (:foreground "#325277"))))
   `(js2-warning ((,class (:underline "#015cff"))))

   ;; Org non-standard faces.
   `(leuven-org-deadline-overdue ((,class (:foreground "#0ddab2"))))
   `(leuven-org-deadline-today ((,class (:weight bold :foreground "#b0b6cd" :background "#2b2d65"))))
   `(leuven-org-deadline-tomorrow ((,class (:foreground "#bf59fa"))))
   `(leuven-org-deadline-future ((,class (:foreground "#bf59fa"))))
   `(leuven-gnus-unseen ((,class (:weight bold :foreground "#038efe"))))
   `(leuven-gnus-date ((,class (:foreground "#01804e"))))
   `(leuven-gnus-size ((,class (:foreground "#7042ab"))))
   `(leuven-todo-items-face ((,class (:weight bold :foreground "#01cfe3" :background "#010384"))))

   `(light-symbol-face ((,class (:background "#2b2d8d"))))
   `(linum ((,class (:foreground "#656772" :background "#3a3c48"))))
   `(log-view-file ((,class (:foreground "#ffff41" :background "#3d3841"))))
   `(log-view-message ((,class (:foreground "#ffffff" :background "#121797"))))
   `(lui-button-face ((,class ,link)))
   `(lui-highlight-face ((,class (:box '(:line-width 1 :color "#33ffff") :foreground "#33ffff" :background "#010384")))) ; my nickname
   `(lui-time-stamp-face ((,class (:foreground "#5fe01d"))))
   `(magit-blame-header ((,class (:inherit magit-diff-file-header))))
   `(magit-blame-heading ((,class (:overline "#585a65" :foreground "#01ffff" :background "#41434f"))))
   `(magit-blame-hash ((,class (:overline "#585a65" :foreground "#01ffff" :background "#41434f"))))
   `(magit-blame-name ((,class (:overline "#585a65" :foreground "#84bee9" :background "#41434f"))))
   `(magit-blame-date ((,class (:overline "#585a65" :foreground "#ffc30f" :background "#41434f"))))
   `(magit-blame-summary ((,class (:overline "#585a65" :weight bold :foreground "#8f909b" :background "#41434f"))))
   `(magit-branch ((,class ,vc-branch)))
   `(magit-diff-add ((,class ,diff-added)))
   `(magit-diff-del ((,class ,diff-removed)))
   `(magit-diff-file-header ((,class (:height 1.1 :weight bold :foreground "#be7d49"))))
   `(magit-diff-hunk-header ((,class ,diff-hunk-header)))
   `(magit-diff-none ((,class ,diff-none)))
   `(magit-header ((,class (:foreground "#2b2d39" :background "#01c0ca"))))
   `(magit-item-highlight ((,class (:background "#3d3841"))))
   `(magit-item-mark ((,class ,marked-line)))
   `(magit-log-head-label ((,class (:box (:line-width 1 :color "#ffc30f" :style nil)))))
   `(magit-log-tag-label ((,class (:box (:line-width 1 :color "#875deb" :style nil)))))
   `(magit-section-title ((,class (:family "Sans Serif" :height 1.8 :weight bold :foreground "#9b6c20" :inherit nil))))
   `(makefile-space-face ((,class (:background "#019759"))))
   `(makefile-targets ((,class (:weight bold :foreground "#ffc30f"))))
   ;; `(markdown-blockquote-face ((,class ())))
   `(markdown-bold-face ((,class (:inherit bold))))
   ;; `(markdown-comment-face ((,class ())))
   ;; `(markdown-footnote-face ((,class ())))
   ;; `(markdown-header-delimiter-face ((,class ())))
   ;; `(markdown-header-face ((,class ())))
   `(markdown-header-face-1 ((,class ,ol1)))
   `(markdown-header-face-2 ((,class ,ol2)))
   `(markdown-header-face-3 ((,class ,ol3)))
   `(markdown-header-face-4 ((,class ,ol4)))
   `(markdown-header-face-5 ((,class ,ol5)))
   `(markdown-header-face-6 ((,class ,ol6)))
   ;; `(markdown-header-rule-face ((,class ())))
   `(markdown-inline-code-face ((,class ,code-inline)))
   `(markdown-italic-face ((,class (:inherit italic))))
   `(markdown-language-keyword-face ((,class (:inherit org-block-begin-line))))
   ;; `(markdown-line-break-face ((,class ())))
   `(markdown-link-face ((,class ,link-no-underline)))
   ;; `(markdown-link-title-face ((,class ())))
   ;; `(markdown-list-face ((,class ())))
   ;; `(markdown-math-face ((,class ())))
   ;; `(markdown-metadata-key-face ((,class ())))
   ;; `(markdown-metadata-value-face ((,class ())))
   ;; `(markdown-missing-link-face ((,class ())))
   `(markdown-pre-face ((,class (:inherit org-block-background))))
   ;; `(markdown-reference-face ((,class ())))
   ;; `(markdown-strike-through-face ((,class ())))
   `(markdown-url-face ((,class ,link)))
   `(match ((,class ,match)))           ; Used for grep matches.
   `(mc/cursor-bar-face ((,class (:height 1.0 :foreground "#e99c49" :background "#e99c49"))))
   `(mc/cursor-face ((,class (:inverse-video t))))
   `(mc/region-face ((,class (:inherit region))))
   `(mm-uu-extract ((,class ,code-block)))
   `(moccur-current-line-face ((,class (:foreground "#ffffff" :background "#2b2d65"))))
   `(moccur-face ((,class (:foreground "#ffffff" :background "#010373"))))
   `(next-error ((,class ,volatile-highlight-supersize)))
   `(nobreak-space ((,class (:background "#584140"))))
   `(nxml-attribute-local-name-face ((,class ,xml-attribute)))
   `(nxml-attribute-value-delimiter-face ((,class (:foreground "#879deb"))))
   `(nxml-attribute-value-face ((,class (:foreground "#879deb"))))
   `(nxml-comment-content-face ((,class (:slant italic :foreground "#01ffff"))))
   `(nxml-comment-delimiter-face ((,class (:foreground "#01ffff"))))
   `(nxml-element-local-name ((,class ,xml-tag)))
   `(nxml-element-local-name-face ((,class (:foreground "#ffc30f"))))
   `(nxml-processing-instruction-target-face ((,class (:foreground "#64d00f"))))
   `(nxml-tag-delimiter-face ((,class (:foreground "#ffc30f"))))
   `(nxml-tag-slash-face ((,class (:foreground "#ffc30f"))))
   `(org-agenda-block-count ((,class (:weight bold :foreground "#5a5c67"))))
   `(org-agenda-calendar-event ((,class (:weight bold :foreground "#c88c41" :background "#433e39"))))
   `(org-agenda-calendar-sexp ((,class (:foreground "#cd8640" :background "#35333b"))))
   `(org-agenda-clocking ((,class (:foreground "#ffffff" :background "#1138ff"))))
   `(org-agenda-column-dateline ((,class ,column)))
   `(org-agenda-current-time ((,class (:underline t :foreground "#e99e5d"))))
   `(org-agenda-date ((,class (,@(leuven-scale-font leuven-scale-org-agenda-structure 1.6) :weight bold :foreground "#e99e5d"))))
   `(org-agenda-date-today ((,class (,@(leuven-scale-font leuven-scale-org-agenda-structure 1.6) :weight bold :foreground "#b0b6cd" :background "#2b2d65"))))
   `(org-agenda-date-weekend ((,class (,@(leuven-scale-font leuven-scale-org-agenda-structure 1.6) :weight bold :foreground "#b1b2bc"))))
   `(org-agenda-diary ((,class (:weight bold :foreground "#879deb" :background "#522927"))))
   `(org-agenda-dimmed-todo-face ((,class (:foreground "#1138ff"))))
   `(org-agenda-done ((,class (:foreground "#aaabb5"))))
   `(org-agenda-filter-category ((,class (:weight bold :foreground "#015cff"))))
   `(org-agenda-filter-tags ((,class (:weight bold :foreground "#015cff"))))
   `(org-agenda-restriction-lock ((,class (:background "#1883a8"))))
   `(org-agenda-structure ((,class (,@(leuven-scale-font leuven-scale-org-agenda-structure 1.6) :weight bold :foreground "#e07337"))))
   `(org-archived ((,class (:foreground "#4c4e5a"))))
   `(org-beamer-tag ((,class (:box (:line-width 1 :color "#0545ef") :foreground "#d3d4dd" :background "#2b3262"))))
   `(org-block ((,class ,code-block)))
   `(org-block-background ((,class (:background "#2b2d54")))) ;; :inherit fixed-pitch))))
   `(org-block-begin-line ((,class (:underline "#585b62" :foreground "#aaabb5" :background "#1d2038"))))
   `(org-block-end-line ((,class (:overline "#585b62" :foreground "#aaabb5" :background "#1d2038"))))
   `(org-checkbox ((,class (:weight bold :box (:line-width 1 :style pressed-button) :foreground "#edcbb5" :background "#5c5e69"))))
   `(org-clock-overlay ((,class (:foreground "#2b2d39" :background "#b59081"))))
   `(org-code ((,class ,code-inline)))
   `(org-column ((,class ,column)))
   `(org-column-title ((,class ,column)))
   `(org-date ((,class (:underline t :foreground "#ffbb6e"))))
   `(org-default ((,class (:foreground "#cccdd6" :background "#2b2d39"))))
   `(org-dim ((,class (:foreground "#555762"))))
   `(org-document-info ((,class (:foreground "#b7b8c2"))))
   `(org-document-info-keyword ((,class (:foreground "#ff723c" :background "#3d3f39"))))
   `(org-document-title ((,class (:height 1.8 :weight bold :foreground "#ffffff"))))
   `(org-done ((,class (:weight bold :box (:line-width 1 :color "#444652") :foreground "#444652" :background "#383a46"))))
   `(org-drawer ((,class (:foreground "#783313"))))
   `(org-ellipsis ((,class (:underline nil :foreground "#666873")))) ; #0113a9
   `(org-example ((,class (:foreground "#ffc30f" :background "#3d2d4b"))))
   `(org-footnote ((,class (:underline t :foreground "#ff723c"))))
   `(org-formula ((,class (:foreground "#0181e4"))))
   `(org-headline-done ((,class (:height 1.0 :weight normal :strike-through t :foreground "#52545f"))))
   `(org-hide ((,class (:foreground "#444652"))))
   `(org-inlinetask ((,class (:box (:line-width 1 :color "#3c3e4a") :foreground "#888994" :background "#2b2d5c"))))
   `(org-latex-and-related ((,class (:foreground "#cc9a73" :background "#2b2d39"))))
   `(org-level-1 ((,class ,ol1)))
   `(org-level-2 ((,class ,ol2)))
   `(org-level-3 ((,class ,ol3)))
   `(org-level-4 ((,class ,ol4)))
   `(org-level-5 ((,class ,ol5)))
   `(org-level-6 ((,class ,ol6)))
   `(org-level-7 ((,class ,ol7)))
   `(org-level-8 ((,class ,ol8)))
   `(org-link ((,class ,link)))
   `(org-list-dt ((,class (:weight bold :foreground "#cca264"))))
   `(org-macro ((,class (:weight bold :foreground "#1249fe"))))
   `(org-meta-line ((,class (:slant normal :foreground "#ff723c" :background "#3d3f39"))))
   `(org-mode-line-clock ((,class (:box (:line-width 1 :color "#cca264") :foreground "#ffffff" :background "#015ed4"))))
   `(org-mode-line-clock-overrun ((,class (:weight bold :box (:line-width 1 :color "#cca264") :foreground "#2b2d39" :background "#01c0ca"))))
   `(org-number-of-items ((,class (:weight bold :foreground "#2b2d39" :background "#864792"))))
   `(org-property-value ((,class (:foreground "#8789eb"))))
   `(org-quote ((,class (:slant italic :foreground "#9697a2" :background "#2b2d54"))))
   `(org-scheduled ((,class (:foreground "#cccdd6"))))
   `(org-scheduled-previously ((,class (:foreground "#eb9a47"))))
   `(org-scheduled-today ((,class (:weight bold :foreground "#b0b6cd" :background "#2b2d65"))))
   `(org-sexp-date ((,class (:foreground "#c88c41"))))
   `(org-special-keyword ((,class (:weight bold :foreground "#876eeb" :background "#3d2d4b"))))
   `(org-table ((,class (:foreground "#ff9cff" :background "#3d2d4b")))) ;; :inherit fixed-pitch))))
   `(org-tag ((,class (:weight normal :slant italic :foreground "#656268" :background "#2b2d39"))))
   `(org-target ((,class (:foreground "#01935d"))))
   `(org-time-grid ((,class (:foreground "#30323e"))))
   `(org-todo ((,class (:weight bold :box (:line-width 1 :color "#275665") :foreground "#275665" :background "#2b4351"))))
   `(org-upcoming-deadline ((,class (:foreground "#01abb5"))))
   `(org-verbatim ((,class (:foreground "#ff9a41" :background "#312e39"))))
   `(org-verse ((,class (:slant italic :foreground "#9697a2" :background "#393b47"))))
   `(org-warning ((,class (:weight bold :foreground "#ffffff" :background "#584239"))))
   `(outline-1 ((,class ,ol1)))
   `(outline-2 ((,class ,ol2)))
   `(outline-3 ((,class ,ol3)))
   `(outline-4 ((,class ,ol4)))
   `(outline-5 ((,class ,ol5)))
   `(outline-6 ((,class ,ol6)))
   `(outline-7 ((,class ,ol7)))
   `(outline-8 ((,class ,ol8)))
   `(pabbrev-debug-display-label-face ((,class (:background "#8003ff"))))
   `(pabbrev-suggestions-face ((,class (:weight bold :foreground "#2b2d39" :background "#01ffff"))))
   `(pabbrev-suggestions-label-face ((,class (:weight bold :foreground "#2b2d39" :background "#5fe01d"))))
   `(paren-face-match ((,class ,paren-matched)))
   `(paren-face-mismatch ((,class ,paren-unmatched)))
   `(paren-face-no-match ((,class ,paren-unmatched)))
   `(persp-selected-face ((,class (:weight bold :foreground "#393539"))))
   `(powerline-active1 ((,class (:foreground "#7a3322" :background "#c7c8d1" :inherit mode-line))))
   `(powerline-active2 ((,class (:foreground "#7a3322" :background "#bf9057" :inherit mode-line))))
   `(powerline-inactive1 ((,class (:foreground "#383a46" :background "#9798a3" :inherit mode-line-inactive))))
   `(powerline-inactive2 ((,class (:foreground "#383a46" :background "#565863" :inherit mode-line-inactive))))
   `(rainbow-delimiters-depth-1-face ((,class (:foreground "#8f8f89"))))
   `(rainbow-delimiters-depth-2-face ((,class (:foreground "#8c7837"))))
   `(rainbow-delimiters-depth-3-face ((,class (:foreground "#6f6f89"))))
   `(rainbow-delimiters-depth-4-face ((,class (:foreground "#8f699b"))))
   `(rainbow-delimiters-depth-5-face ((,class (:foreground "#6f8d98"))))
   `(rainbow-delimiters-depth-6-face ((,class (:foreground "#9d8a53"))))
   `(rainbow-delimiters-depth-7-face ((,class (:foreground "#7a7b8c"))))
   `(rainbow-delimiters-depth-8-face ((,class (:foreground "#7f598c"))))
   `(rainbow-delimiters-depth-9-face ((,class (:foreground "#77909b"))))
   `(rainbow-delimiters-mismatched-face ((,class ,paren-unmatched)))
   `(rainbow-delimiters-unmatched-face ((,class ,paren-unmatched)))
   `(recover-this-file ((,class (:weight bold :background "#01c1cb"))))
   `(rng-error ((,class (:weight bold :foreground "#01ffff" :background "#2d4551"))))
   `(sh-heredoc ((,class (:foreground "#ffc30f" :background "#393539"))))
   `(sh-quoted-exec ((,class (:foreground "#01ec79"))))
   `(shadow ((,class ,shadow)))         ; Used for grep context lines.
   `(shell-option-face ((,class (:foreground "#659dd2"))))
   `(shell-output-2-face ((,class (:foreground "#ffc30f"))))
   `(shell-output-3-face ((,class (:foreground "#5fe01d"))))
   `(shell-output-face ((,class (:foreground "#ffffff"))))
   ;; `(shell-prompt-face ((,class (:weight bold :foreground "#0103ff"))))
   `(shm-current-face ((,class (:background "#39415d"))))
   `(shm-quarantine-face ((,class (:background "lemonchiffon"))))
   `(show-paren-match ((,class ,paren-matched)))
   `(show-paren-mismatch ((,class ,paren-unmatched)))
   `(sml-modeline-end-face ((,class (:background "#945417")))) ; #cca264
   `(sml-modeline-vis-face ((,class (:background "#e68743"))))
   `(term ((,class (:foreground "#cccdd6" :background "#2b2d39"))))

   ;; `(sp-pair-overlay-face ((,class ())))
   ;; `(sp-show-pair-enclosing ((,class ())))
   ;; `(sp-show-pair-match-face ((,class ()))) ; ~ Pair highlighting (matching tags).
   ;; `(sp-show-pair-mismatch-face ((,class ())))
   ;; `(sp-wrap-overlay-closing-pair ((,class ())))
   ;; `(sp-wrap-overlay-face ((,class ())))
   ;; `(sp-wrap-overlay-opening-pair ((,class ())))
   ;; `(sp-wrap-tag-overlay-face ((,class ())))

   `(speedbar-button-face ((,class (:foreground "#879deb"))))
   `(speedbar-directory-face ((,class (:foreground "#ffff81"))))
   `(speedbar-file-face ((,class (:foreground "#ff7581"))))
   `(speedbar-highlight-face ((,class ,volatile-highlight)))
   `(speedbar-selected-face ((,class (:underline t :foreground "#01ffff"))))
   `(speedbar-tag-face ((,class (:foreground "#5ad6df"))))
   `(svn-status-directory-face ((,class ,directory)))
   `(svn-status-filename-face ((,class (:weight bold :foreground "#be7d49"))))
   `(svn-status-locked-face ((,class (:weight bold :foreground "#01ffff"))))
   `(svn-status-marked-face ((,class ,marked-line)))
   `(svn-status-marked-popup-face ((,class (:weight bold :foreground "#875ceb"))))
   `(svn-status-switched-face ((,class (:slant italic :foreground "#737480"))))
   `(svn-status-symlink-face ((,class ,symlink)))
   `(svn-status-update-available-face ((,class (:foreground "#015cff"))))
   `(tex-verbatim ((,class (:foreground "#ffc30f"))))
   `(tool-bar ((,class (:box (:line-width 1 :style released-button) :foreground "#ffffff" :background "#40424e"))))
   `(tooltip ((,class (:foreground "#ffffff" :background "#2b2d54"))))
   `(traverse-match-face ((,class (:weight bold :foreground "#75d52b"))))
   `(vc-annotate-face-3F3FFF ((,class (:foreground "#c0c10f" :background "#ffffff"))))
   `(vc-annotate-face-3F6CFF ((,class (:foreground "#c0c10f" :background "#ffffff"))))
   `(vc-annotate-face-3F99FF ((,class (:foreground "#c0680f" :background "#ffffff"))))
   `(vc-annotate-face-3FC6FF ((,class (:foreground "#c0680f" :background "#ffffff"))))
   `(vc-annotate-face-3FF3FF ((,class (:foreground "#c00e0f" :background "#ffffff"))))
   `(vc-annotate-face-3FFF56 ((,class (:foreground "#b403bf" :background "#ffffff"))))
   `(vc-annotate-face-3FFF83 ((,class (:foreground "#c0035c" :background "#ffffff"))))
   `(vc-annotate-face-3FFFB0 ((,class (:foreground "#c0035c" :background "#ffffff"))))
   `(vc-annotate-face-3FFFDD ((,class (:foreground "#c00e0f" :background "#ffffff"))))
   `(vc-annotate-face-56FF3F ((,class (:foreground "#b403bf" :background "#ffffff"))))
   `(vc-annotate-face-83FF3F ((,class (:foreground "#4f03cb" :background "#ffffff"))))
   `(vc-annotate-face-B0FF3F ((,class (:foreground "#4f03cb" :background "#ffffff"))))
   `(vc-annotate-face-DDFF3F ((,class (:foreground "#010ecb" :background "#ffffff"))))
   `(vc-annotate-face-F6FFCC ((,class (:foreground "#ffffff" :background "#2b2d70"))))
   `(vc-annotate-face-FF3F3F ((,class (:foreground "#01c1cb" :background "#ffffff"))))
   `(vc-annotate-face-FF6C3F ((,class (:foreground "#01c1cb" :background "#ffffff"))))
   `(vc-annotate-face-FF993F ((,class (:foreground "#0168cb" :background "#ffffff"))))
   `(vc-annotate-face-FFC63F ((,class (:foreground "#0168cb" :background "#ffffff"))))
   `(vc-annotate-face-FFF33F ((,class (:foreground "#010ecb" :background "#ffffff"))))

   ;; ;; vc
   ;; (vc-up-to-date-state    ((,c :foreground ,(gc 'green-1))))
   ;; (vc-edited-state        ((,c :foreground ,(gc 'yellow+1))))
   ;; (vc-missing-state       ((,c :foreground ,(gc 'red))))
   ;; (vc-conflict-state      ((,c :foreground ,(gc 'red+2) :weight bold)))
   ;; (vc-locked-state        ((,c :foreground ,(gc 'cyan-1))))
   ;; (vc-locally-added-state ((,c :foreground ,(gc 'blue))))
   ;; (vc-needs-update-state  ((,c :foreground ,(gc 'magenta))))
   ;; (vc-removed-state       ((,c :foreground ,(gc 'red-1))))

   `(vhl/default-face ((,class ,volatile-highlight))) ; `volatile-highlights.el' (for undo, yank).
   `(w3m-anchor ((,class ,link)))
   `(w3m-arrived-anchor ((,class (:foreground "#64d00f"))))
   `(w3m-bitmap-image-face ((,class (:foreground "#f5f5fb" :background "#872beb"))))
   `(w3m-bold ((,class (:weight bold :foreground "#ffffff"))))
   `(w3m-current-anchor ((,class (:weight bold :underline t :foreground "#ffc30f"))))
   `(w3m-form ((,class (:underline t :foreground "#015cbb"))))
   `(w3m-form-button-face ((,class (:weight bold :underline t :foreground "#f5f5fb" :background "#2c2e3a"))))
   `(w3m-form-button-mouse-face ((,class (:underline t :foreground "#2c2e3a" :background "#d482df"))))
   `(w3m-form-button-pressed-face ((,class (:weight bold :underline t :foreground "#f5f5fb" :background "#2c2e3a"))))
   `(w3m-header-line-location-content-face ((,class (:foreground "#80818d":background "#31333f"))))
   `(w3m-header-line-location-title-face ((,class (:foreground "#d3ab5b" :background "#31333f"))))
   `(w3m-history-current-url-face ((,class (:foreground "#2b3064"))))
   `(w3m-image-face ((,class (:weight bold :foreground "#4b1359"))))
   `(w3m-link-numbering ((,class (:foreground "#4b3a22")))) ; mouseless browsing
   `(w3m-strike-through-face ((,class (:strike-through t))))
   `(w3m-underline-face ((,class (:underline t))))

   ;; `(web-mode-block-attr-name-face ((,class ())))
   ;; `(web-mode-block-attr-value-face ((,class ())))
   ;; `(web-mode-block-comment-face ((,class ())))
   ;; `(web-mode-block-control-face ((,class ())))
   ;; `(web-mode-block-delimiter-face ((,class ())))
   ;; `(web-mode-block-face ((,class ())))
   ;; `(web-mode-block-string-face ((,class ())))
   ;; `(web-mode-bold-face ((,class ())))
   ;; `(web-mode-builtin-face ((,class ())))
   ;; `(web-mode-comment-face ((,class ())))
   ;; `(web-mode-comment-keyword-face ((,class ())))
   ;; `(web-mode-constant-face ((,class ())))
   ;; `(web-mode-css-at-rule-face ((,class ())))
   ;; `(web-mode-css-color-face ((,class ())))
   ;; `(web-mode-css-comment-face ((,class ())))
   ;; `(web-mode-css-function-face ((,class ())))
   ;; `(web-mode-css-priority-face ((,class ())))
   ;; `(web-mode-css-property-name-face ((,class ())))
   ;; `(web-mode-css-pseudo-class-face ((,class ())))
   ;; `(web-mode-css-selector-face ((,class ())))
   ;; `(web-mode-css-string-face ((,class ())))
   ;; `(web-mode-css-variable-face ((,class ())))
   ;; `(web-mode-current-column-highlight-face ((,class ())))
   `(web-mode-current-element-highlight-face ((,class (:background "#66350f")))) ; #01138c
   ;; `(web-mode-doctype-face ((,class ())))
   ;; `(web-mode-error-face ((,class ())))
   ;; `(web-mode-filter-face ((,class ())))
   `(web-mode-folded-face ((,class (:box (:line-width 1 :color "#888994") :foreground "#6567a1" :background "#0c0ec1"))))
   ;; `(web-mode-function-call-face ((,class ())))
   ;; `(web-mode-function-name-face ((,class ())))
   ;; `(web-mode-html-attr-custom-face ((,class ())))
   ;; `(web-mode-html-attr-engine-face ((,class ())))
   ;; `(web-mode-html-attr-equal-face ((,class ())))
   `(web-mode-html-attr-name-face ((,class ,xml-attribute)))
   ;; `(web-mode-html-attr-value-face ((,class ())))
   ;; `(web-mode-html-entity-face ((,class ())))
   `(web-mode-html-tag-bracket-face ((,class ,xml-tag)))
   ;; `(web-mode-html-tag-custom-face ((,class ())))
   `(web-mode-html-tag-face ((,class ,xml-tag)))
   ;; `(web-mode-html-tag-namespaced-face ((,class ())))
   ;; `(web-mode-inlay-face ((,class ())))
   ;; `(web-mode-italic-face ((,class ())))
   ;; `(web-mode-javascript-comment-face ((,class ())))
   ;; `(web-mode-javascript-string-face ((,class ())))
   ;; `(web-mode-json-comment-face ((,class ())))
   ;; `(web-mode-json-context-face ((,class ())))
   ;; `(web-mode-json-key-face ((,class ())))
   ;; `(web-mode-json-string-face ((,class ())))
   ;; `(web-mode-jsx-depth-1-face ((,class ())))
   ;; `(web-mode-jsx-depth-2-face ((,class ())))
   ;; `(web-mode-jsx-depth-3-face ((,class ())))
   ;; `(web-mode-jsx-depth-4-face ((,class ())))
   ;; `(web-mode-keyword-face ((,class ())))
   ;; `(web-mode-param-name-face ((,class ())))
   ;; `(web-mode-part-comment-face ((,class ())))
   `(web-mode-part-face ((,class (:background "#2b2d54"))))
   ;; `(web-mode-part-string-face ((,class ())))
   ;; `(web-mode-preprocessor-face ((,class ())))
   `(web-mode-script-face ((,class (:background "#383a45"))))
   ;; `(web-mode-sql-keyword-face ((,class ())))
   ;; `(web-mode-string-face ((,class ())))
   ;; `(web-mode-style-face ((,class ())))
   ;; `(web-mode-symbol-face ((,class ())))
   ;; `(web-mode-type-face ((,class ())))
   ;; `(web-mode-underline-face ((,class ())))
   ;; `(web-mode-variable-name-face ((,class ())))
   ;; `(web-mode-warning-face ((,class ())))
   ;; `(web-mode-whitespace-face ((,class ())))

   `(which-func ((,class (:weight bold :slant italic :foreground "#2b2d39"))))
   ;; `(which-key-command-description-face)
   ;; `(which-key-group-description-face)
   ;; `(which-key-highlighted-command-face)
   ;; `(which-key-key-face)
   `(which-key-local-map-description-face ((,class (:weight bold :background "#35333b" :inherit which-key-command-description-face))))
   ;; `(which-key-note-face)
   ;; `(which-key-separator-face)
   ;; `(which-key-special-key-face)
   `(widget-button ((,class ,link)))
   `(widget-button-pressed ((,class (:foreground "#01ffff"))))
   `(widget-documentation ((,class (:foreground "#879deb"))))
   `(widget-field ((,class (:background "#262834"))))
   `(widget-inactive ((,class (:foreground "#9697a2"))))
   `(widget-single-line-field ((,class (:background "#262834"))))
   `(woman-bold ((,class (:weight bold :foreground "#0ec3cd"))))
   `(woman-italic ((,class (:weight bold :slant italic :foreground "#b943ec"))))
   `(woman-symbol ((,class (:weight bold :foreground "#5fe01d"))))
   `(yas-field-debug-face ((,class (:background "#01ffff"))))
   `(yas-field-highlight-face ((,class (:box (:line-width 1 :color "#7c7d89") :foreground "#ffffff" :background "#2b2535"))))

   ;; `(ztreep-arrow-face ((,class ())))
   ;; `(ztreep-diff-header-face ((,class ())))
   ;; `(ztreep-diff-header-small-face ((,class ())))
   `(ztreep-diff-model-add-face ((,class (:weight bold :foreground "#87a0eb"))))
   `(ztreep-diff-model-diff-face ((,class (:weight bold :foreground "#ffbc30"))))
   `(ztreep-diff-model-ignored-face ((,class (:strike-through t :foreground "#61636e"))))
   `(ztreep-diff-model-normal-face ((,class (:foreground "#ffffff"))))
   ;; `(ztreep-expand-sign-face ((,class ())))
   ;; `(ztreep-header-face ((,class ())))
   ;; `(ztreep-leaf-face ((,class ())))
   ;; `(ztreep-node-face ((,class ())))

   ))

(custom-theme-set-variables 'leuven

  ;; highlight-sexp-mode.
  '(hl-sexp-background-color "#383e4c")

  '(ansi-color-faces-vector
    [default default default italic underline success warning error])

  ;; Colors used in Shell mode.
  '(ansi-color-names-vector
    ["#ffffff" "#32ffff" "#659dd2" "#3234ff" "#ffc30f" "#32ff40" "#ff420f" "#80818d"])
 )

;;;######autoload
(when (and (boundp 'custom-theme-load-path)
           load-file-name)
  ;; Add theme folder to `custom-theme-load-path' when installing over MELPA.
  (add-to-list 'custom-theme-load-path
               (file-name-as-directory (file-name-directory load-file-name))))

;;;######autoload
(when (string-match "/etc/themes/$"
                    (file-name-directory (or load-file-name (buffer-file-name))))
  (message "To stay up-to-date, you should better install and use leuven-theme from MELPA.")
  (sit-for 2))

;(provide-theme 'leuven-dark)

;; This is for the sake of Emacs.
;; Local Variables:
;; no-byte-compile: t
;; time-stamp-end: "$"
;; time-stamp-format: "%:y%02m%02d.%02H%02M"
;; time-stamp-start: "Version: "
;; End:

;;; leuven-dark-theme.el ends here
